# GstTracer

Tracing modules will subclass GstTracer and register through gst_tracer_register. Modules can attach to various hook-types - see gst_tracing_register_hook. When invoked they receive hook specific contextual data, which they must not modify.

## GstTracer

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstTracer

The opaque GstTracer instance structure

### Members

`parent` (GstObject) –
No description available

### Class structure

#### GstTracerClass

##### Fields

`parent_class` (GstObjectClass) –
No description available

### Gst.TracerClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

### Gst.TracerClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

## Gst.Tracer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Tracer

The opaque GstTracer instance structure

### Members

`parent` (Gst.Object) –
No description available

## Gst.Tracer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Tracer

The opaque GstTracer instance structure

### Members

`parent` (Gst.Object) –
No description available

### Class Methods

#### gst_tracer_class_set_use_structure_params

    gst_tracer_class_set_use_structure_params (GstTracerClass * tracer_class,
                                               gboolean use_structure_params)

Sets whether the tracer should use structure parameters for configuration. This function configures how parameters should be passed when instantiating the tracer.

This is typically called in the tracer's class initialization function to indicate its parameter handling preference.

Parameters:

`tracer_class` –

the GstTracerFactoryClass to mark as using structure parameters

`use_structure_params` –

TRUE to use structure parameters, FALSE otherwise

Since : 1.26

#### Gst.TracerClass.prototype.set_use_structure_params

    function Gst.TracerClass.prototype.set_use_structure_params(tracer_class: Gst.TracerClass, use_structure_params: Number): {
        // javascript wrapper for 'gst_tracer_class_set_use_structure_params'
    }

Sets whether the tracer should use structure parameters for configuration. This function configures how parameters should be passed when instantiating the tracer.

This is typically called in the tracer's class initialization function to indicate its parameter handling preference.

Parameters:

`tracer_class` (Gst.TracerClass) –

the Gst.TracerFactoryClass to mark as using structure parameters

`use_structure_params` (Number) –

true to use structure parameters, false otherwise

Since : 1.26

#### gst_tracer_class_uses_structure_params

    gboolean
    gst_tracer_class_uses_structure_params (GstTracerClass * tracer_class)

If set, the tracer subsystem will consider parameters passed to the `GST_TRACERS` environment variable as a GstStructure and use its fields as properties to instanciate the tracer.

Parameters:

`tracer_class` –

the GstTracerClass to to check

Returns –

TRUE if the tracer uses structure parameters, FALSE otherwise

Since : 1.26

#### Gst.TracerClass.prototype.uses_structure_params

    function Gst.TracerClass.prototype.uses_structure_params(tracer_class: Gst.TracerClass): {
        // javascript wrapper for 'gst_tracer_class_uses_structure_params'
    }

If set, the tracer subsystem will consider parameters passed to the `GST_TRACERS` environment variable as a Gst.Structure and use its fields as properties to instanciate the tracer.

Parameters:

`tracer_class` (Gst.TracerClass) –

the Gst.TracerClass to to check

Returns (Number) –

true if the tracer uses structure parameters, false otherwise

Since : 1.26

### Functions

#### gst_tracer_register

    gboolean
    gst_tracer_register (GstPlugin * plugin,
                         const gchar * name,
                         GType type)

Create a new tracer-factory capable of instantiating objects of the type and add the factory to plugin.

Parameters:

`plugin` ( [allow-none]) –

A GstPlugin, or NULL for a static typefind function

`name` –

The name for registering

`type` –

GType of tracer to register

Returns –

TRUE, if the registering succeeded, FALSE on error

#### Gst.Tracer.prototype.register

    function Gst.Tracer.prototype.register(plugin: Gst.Plugin, name: String, type: GObject.Type): {
        // javascript wrapper for 'gst_tracer_register'
    }

Create a new tracer-factory capable of instantiating objects of the type and add the factory to plugin.

Parameters:

`plugin` (Gst.Plugin) –

A Gst.Plugin, or null for a static typefind function

`name` (String) –

The name for registering

`type` (GObject.Type) –

GType of tracer to register

Returns (Number) –

true, if the registering succeeded, false on error

#### Gst.Tracer.register

    def Gst.Tracer.register (plugin, name, type):
        #python wrapper for 'gst_tracer_register'

Create a new tracer-factory capable of instantiating objects of the type and add the factory to plugin.

Parameters:

`plugin` (Gst.Plugin) –

A Gst.Plugin, or None for a static typefind function

`name` (str) –

The name for registering

`type` (GObject.Type) –

GType of tracer to register

Returns (bool) –

True, if the registering succeeded, False on error

### Properties

#### params

    “params” gchar *

Flags : Read / Write / Construct

#### params

    “params” String

Flags : Read / Write / Construct

#### params

    “self.props.params” str

Flags : Read / Write / Construct

## Function Macros

### GST_TRACER_CAST

    #define GST_TRACER_CAST(obj)       ((GstTracer *)(obj))

The results of the search are